VST 3 SDK VST 3.7 SDK for developing VST plug-in

Public Member Functions | Public Attributes | List of all members
CPluginView Class Reference
Common SDK Implementation Helper Classes

Plug-In view default implementation. More...

`#include <pluginview.h>`

Inheritance diagram for CPluginView:

## Public Member Functions
| CPluginView (const ViewRect *rect=nullptr)
| ~CPluginView () SMTG_OVERRIDE
const ViewRect & | getRect () const
| Returns its current frame rectangle. More...
void | setRect (const ViewRect &r)
| Sets a new frame rectangle. More...
bool | isAttached () const
| Checks if this view is attached to its parent view. More...
virtual void | attachedToParent ()
| Calls when this view will be attached to its parent view. More...
virtual void | removedFromParent ()
| Calls when this view will be removed from its parent view. More...
tresult | isPlatformTypeSupported (FIDString type) SMTG_OVERRIDE
tresult | attached (void *parent, FIDString type) SMTG_OVERRIDE
tresult | removed () SMTG_OVERRIDE
tresult | onWheel (float) SMTG_OVERRIDE
tresult | onKeyDown (char16, int16, int16) SMTG_OVERRIDE
tresult | onKeyUp (char16, int16, int16) SMTG_OVERRIDE
tresult | getSize (ViewRect *size) SMTG_OVERRIDE
tresult | onSize (ViewRect *newSize) SMTG_OVERRIDE
tresult | onFocus (TBool) SMTG_OVERRIDE
tresult | setFrame (IPlugFrame *frame) SMTG_OVERRIDE
tresult | canResize () SMTG_OVERRIDE
tresult | checkSizeConstraint (ViewRect *) SMTG_OVERRIDE
virtual tresult | isPlatformTypeSupported (FIDString type)=0
virtual tresult | attached (void *parent, FIDString type)=0
virtual tresult | removed ()=0
virtual tresult | onWheel (float distance)=0
virtual tresult | onKeyDown (char16 key, int16 keyCode, int16 modifiers)=0
virtual tresult | onKeyUp (char16 key, int16 keyCode, int16 modifiers)=0
virtual tresult | getSize (ViewRect *size)=0
virtual tresult | onSize (ViewRect *newSize)=0
virtual tresult | onFocus (TBool state)=0
virtual tresult | setFrame (IPlugFrame *frame)=0
virtual tresult | canResize ()=0
virtual tresult | checkSizeConstraint (ViewRect *rect)=0
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Public Attributes
OBJ_METHODS(CPluginView, FObject) DEFINE_INTERFACES DEF_INTERFACE(IPlugView) END_DEFINE_INTERFACES(FObject) REFCOUNT_METHODS(FObject) protected void * | systemWindow {nullptr}
IPtr< IPlugFrame > | plugFrame

## Additional Inherited Members
Static Public Attributes inherited from IPlugView
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Plug-In view default implementation.

Can be used as base class for an IPlugView implementation.

## Constructor & Destructor Documentation

## ◆ CPluginView()

CPluginView | ( | const ViewRect * | rect = `nullptr` | ) |

## ◆ ~CPluginView()

~CPluginView | ( |  | ) |

## Member Function Documentation

## ◆ getRect()

const ViewRect & getRect | ( |  | ) | const
| inline

Returns its current frame rectangle.

## ◆ setRect()

void setRect | ( | const ViewRect & | r | ) |
| inline

Sets a new frame rectangle.

## ◆ isAttached()

bool isAttached | ( |  | ) | const
| inline

Checks if this view is attached to its parent view.

## ◆ attachedToParent()

virtual void attachedToParent | ( |  | ) |
| inline virtual

Calls when this view will be attached to its parent view.

Reimplemented in EditorView.

## ◆ removedFromParent()

virtual void removedFromParent | ( |  | ) |
| inline virtual

Calls when this view will be removed from its parent view.

Reimplemented in EditorView.

## ◆ isPlatformTypeSupported()

tresult isPlatformTypeSupported | ( | FIDString | type | ) |
| virtual

Implements IPlugView.

## ◆ attached()

tresult attached | ( | void * | parent,
|  | FIDString | type
| ) |  |
| virtual

Implements IPlugView.

## ◆ removed()

tresult removed | ( |  | ) |
| virtual

Implements IPlugView.

## ◆ onWheel()

tresult onWheel | ( | float |  | ) |
| inline virtual

Implements IPlugView.

## ◆ onKeyDown()

tresult onKeyDown | ( | char16 | ,
|  | int16 | ,
|  | int16 |
| ) |  |
| inline virtual

Implements IPlugView.

## ◆ onKeyUp()

tresult onKeyUp | ( | char16 | ,
|  | int16 | ,
|  | int16 |
| ) |  |
| inline virtual

Implements IPlugView.

## ◆ getSize()

tresult getSize | ( | ViewRect * | size | ) |
| virtual

Implements IPlugView.

## ◆ onSize()

tresult onSize | ( | ViewRect * | newSize | ) |
| virtual

Implements IPlugView.

## ◆ onFocus()

tresult onFocus | ( | TBool |  | ) |
| inline virtual

Implements IPlugView.

## ◆ setFrame()

tresult setFrame | ( | IPlugFrame * | frame | ) |
| inline virtual

Implements IPlugView.

## ◆ canResize()

tresult canResize | ( |  | ) |
| inline virtual

Implements IPlugView.

## ◆ checkSizeConstraint()

tresult checkSizeConstraint | ( | ViewRect * |  | ) |
| inline virtual

Implements IPlugView.

## Member Data Documentation

## ◆ systemWindow

OBJ_METHODS (CPluginView, FObject) DEFINE_INTERFACES DEF_INTERFACE (IPlugView) END_DEFINE_INTERFACES (FObject) REFCOUNT_METHODS (FObject) protected void* systemWindow {nullptr}

## ◆ plugFrame

IPtr<IPlugFrame> plugFrame

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.